<template>
  <h1>Alumnos</h1>
  <FormAlumno />
  <TablaAlumnos v-bind:alumnos="alumnos"></TablaAlumnos>
  <button @click="calcularMedias">Calcular Medias</button>
</template>

<script>
import FormAlumno from './components/FormAlumno.vue';
import TablaAlumnos from './components/TablaAlumnos.vue';
export default {
  name: "App",
  components: { FormAlumno, TablaAlumnos },
  data() {
    return {
      alumnos: [
        {
          id: 1,
          nombre: "Juan",
          apellido: "Pérez",
          grupo: "A",
          notas: [9, 8, 7, 8, 10],
          media: "-",
        },
        {
          id: 2,
          nombre: "María",
          apellido: "Gómez",
          grupo: "B",
          notas: [8, 7, 9, 8, 8],
          media: "-",
        },
        {
          id: 3,
          nombre: "Carlos",
          apellido: "López",
          grupo: "A",
          notas: [7, 6, 8, 9, 7],
          media: "-",
        },
        {
          id: 4,
          nombre: "Laura",
          apellido: "Fernández",
          grupo: "B",
          notas: [8, 9, 7, 8, 9],
          media: "-",
        },
      ],
    }
  },
  methods: {
    calcularMedias() {
      this.alumnos.forEach((alumno) => {
        let sum = alumno.notas.reduce((total, nota) => total + nota, 0);
        alumno.media = (sum / alumno.notas.length).toFixed(2);
      });
    },
  },
}
</script>

<style>
* {
  font-family: 'Courier New', Courier, monospace;
}

.center{
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

table {
  text-align: center;
  width: 90%;
  max-width: 1000px;
  margin-bottom: 20px;
}

th {
  height: 50px;
  background-color: rgb(197, 196, 196);
}

td {
  background-color: rgba(196, 255, 250, 0.527);
  height: 20px;
}

button {
  transition: 300ms;
  background-color: aqua;
  border: 3px solid rgba(128, 128, 128, 0.397);
  border-radius: 10px;
  font-size: larger;
}

button:hover {
  background-color: rgb(4, 230, 230);
}
</style>
